Bug 1282381 - git segfault run_diff_index() at diff-lib.c:496
git segfault run_diff_index() at diff-lib.c:496
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: git (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: pstodulk
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-16 04:15 EST by Harald Hoyer
Modified: 2016-07-14 03:41 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-14 03:41:28 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Harald Hoyer 2015-11-16 04:15:38 EST
# rpm -q git
git-2.6.3-1.fc24.x86_64



Program terminated with signal SIGSEGV, Segmentation fault.
#0  run_diff_index (revs=revs@entry=0x7ffd9bd04bd0, cached=cached@entry=1) at diff-lib.c:496
496		if (diff_cache(revs, ent->item->sha1, ent->name, cached))
Missing separate debuginfos, use: dnf debuginfo-install glibc-2.22.90-13.fc24.x86_64
(gdb) bt
#0  run_diff_index (revs=revs@entry=0x7ffd9bd04bd0, cached=cached@entry=1) at diff-lib.c:496
#1  0x000000000040c626 in write_index_patch (state=0x7ffd9bd04b20) at builtin/am.c:1498
#2  am_resolve (state=0x7ffd9bd04b20) at builtin/am.c:1967
#3  cmd_am (argc=<optimized out>, argv=<optimized out>, prefix=<optimized out>) at builtin/am.c:2424
#4  0x00000000004065d8 in run_builtin (argv=0x7ffd9bd05fa0, argc=3, p=0x7c4798 <commands+24>) at git.c:350
#5  handle_builtin (argc=3, argv=0x7ffd9bd05fa0) at git.c:535
#6  0x0000000000405649 in run_argv (argv=0x7ffd9bd05dc8, argcp=0x7ffd9bd05dac) at git.c:581
#7  main (argc=3, av=<optimized out>) at git.c:689
(gdb) info locals
ent = 0x0
(gdb) up
#1  0x000000000040c626 in write_index_patch (state=0x7ffd9bd04b20) at builtin/am.c:1498
1498		run_diff_index(&rev_info, 1);
(gdb) info locals
tree = 0x0
head = "\334¤4K\006J\271\032\n\211\272\242E2D\336xδ"
rev_info = {commits = 0x0, pending = {nr = 0, alloc = 0, objects = 0x0}, boundary_commits = {nr = 0, alloc = 0, objects = 0x0}, cmdline = {nr = 0, 
    alloc = 0, rev = 0x0}, ref_excludes = 0x0, prefix = 0x0, def = 0x0, prune_data = {_raw = 0x0, nr = 0, has_wildcard = 0, recursive = 0, magic = 0, 
    max_depth = 0, items = 0x0}, sort_order = REV_SORT_IN_GRAPH_ORDER, early_output = 0, ignore_missing = 0, ignore_missing_links = 0, dense = 1, prune = 0, 
  no_walk = 0, show_all = 0, remove_empty_trees = 0, simplify_history = 1, topo_order = 0, simplify_merges = 0, simplify_by_decoration = 0, tag_objects = 0, 
  tree_objects = 0, blob_objects = 0, verify_objects = 0, edge_hint = 0, edge_hint_aggressive = 0, limited = 0, unpacked = 0, boundary = 0, count = 0, 
  left_right = 0, left_only = 0, right_only = 0, rewrite_parents = 0, print_parents = 0, show_source = 0, show_decorations = 0, reverse = 0, 
  reverse_output_stage = 0, cherry_pick = 0, cherry_mark = 0, bisect = 0, ancestry_path = 0, first_parent_only = 0, line_level_traverse = 0, diff = 1, 
  full_diff = 0, show_root_diff = 0, no_commit_id = 1, verbose_header = 0, ignore_merges = 1, combine_merges = 0, dense_combined_merges = 0, 
  always_show_header = 0, shown_one = 0, shown_dashes = 0, show_merge = 0, show_notes = 0, show_notes_given = 0, show_signature = 0, pretty_given = 0, 
  abbrev_commit = 0, abbrev_commit_given = 0, use_terminator = 0, missing_newline = 0, date_mode_explicit = 0, preserve_subject = 0, disable_stdin = 1, 
  leak_pending = 0, track_linear = 0, track_first_time = 0, linear = 0, date_mode = {type = DATE_NORMAL, strftime_fmt = 0x0}, abbrev = 7, 
  commit_format = CMIT_FMT_MEDIUM, loginfo = 0x0, nr = 0, total = 0, mime_boundary = 0x0, patch_suffix = 0x0, numbered_files = 0, reroll_count = 0, 
  message_id = 0x0, from_ident = {name_begin = 0x0, name_end = 0x0, mail_begin = 0x0, mail_end = 0x0, date_begin = 0x0, date_end = 0x0, tz_begin = 0x0, 
    tz_end = 0x0}, ref_message_ids = 0x0, add_signoff = 0, extra_headers = 0x0, log_reencode = 0x0, subject_prefix = 0x0, no_inline = 0, show_log_size = 0, 
  mailmap = 0x0, grep_filter = {pattern_list = 0x0, pattern_tail = 0x7ffd9bd04d10, header_list = 0x0, header_tail = 0x7ffd9bd04d20, 
    pattern_expression = 0x0, prefix = 0x0, prefix_length = 0, regexp = {buffer = 0x0, allocated = 0, used = 0, syntax = 0, fastmap = 0x0, translate = 0x0, 
      re_nsub = 0, can_be_null = 0, regs_allocated = 0, fastmap_accurate = 0, no_sub = 0, not_bol = 0, not_eol = 0, newline_anchor = 0}, linenum = 0, 
    invert = 0, ignore_case = 0, status_only = 1, name_only = 0, unmatch_name_only = 0, count = 0, word_regexp = 0, fixed = 0, all_match = 0, debug = 0, 
    binary = 0, allow_textconv = 0, extended = 0, use_reflog_filter = 0, pcre = 0, relative = 1, pathname = 1, null_following_name = 0, color = -1, 
    max_depth = -1, funcname = 0, funcbody = 0, extended_regexp_option = 0, pattern_type_option = 0, color_context = '\000' <repeats 69 times>, 
    color_filename = '\000' <repeats 69 times>, color_function = '\000' <repeats 69 times>, color_lineno = '\000' <repeats 69 times>, 
    color_match_context = "\033[1;31m", '\000' <repeats 62 times>, color_match_selected = "\033[1;31m", '\000' <repeats 62 times>, 
    color_selected = '\000' <repeats 69 times>, color_sep = "\033[36m", '\000' <repeats 64 times>, regflags = 4, pre_context = 0, post_context = 0, 
    last_shown = 0, show_hunk_mark = 0, file_break = 0, heading = 0, priv = 0x0, output = 0x0, output_priv = 0x0}, invert_grep = 0, graph = 0x0, 
  skip_count = -1, max_count = -1, max_age = 18446744073709551615, min_age = 18446744073709551615, min_parents = 0, max_parents = -1, include_check = 0x0, 
  include_check_data = 0x0, diffopt = {orderfile = 0x0, pickaxe = 0x0, single_follow = 0x0, a_prefix = 0x57677b "a/", b_prefix = 0x57677e "b/", 
    flags = 16777473, touched_flags = 20971777, filter = 0, use_color = 0, context = 3, interhunkcontext = 0, break_opt = -1, detect_rename = 0, 
    irreversible_delete = 0, skip_stat_unmatch = 0, line_termination = 10, output_format = 16, pickaxe_opts = 0, rename_score = 0, rename_limit = -1, 
    needed_rename_limit = 0, degraded_cc_to_c = 0, show_rename_progress = 0, dirstat_permille = 30, setup = 0, abbrev = 40, ws_error_highlight = 1, 
    prefix = 0x0, prefix_length = 0, stat_sep = 0x0, xdl_opts = 0, stat_width = 0, stat_name_width = 0, stat_graph_width = 0, stat_count = 0, 
    word_regex = 0x0, word_diff = DIFF_WORDS_NONE, found_changes = 0, found_follow = 0, set_default = 0x0, file = 0x1092fe0, close_file = 1, pathspec = {
      _raw = 0x0, nr = 0, has_wildcard = 0, recursive = 0, magic = 0, max_depth = 0, items = 0x0}, pathchange = 0x0, change = 0x4b32c0 <diff_change>, 
    add_remove = 0x4b3540 <diff_addremove>, format_callback = 0x0, format_callback_data = 0x0, output_prefix = 0x0, output_prefix_length = 0, 
    output_prefix_data = 0x0, diff_path_counter = 0}, pruning = {orderfile = 0x0, pickaxe = 0x0, single_follow = 0x0, a_prefix = 0x0, b_prefix = 0x0, 
    flags = 2049, touched_flags = 2049, filter = 0, use_color = 0, context = 0, interhunkcontext = 0, break_opt = 0, detect_rename = 0, 
    irreversible_delete = 0, skip_stat_unmatch = 0, line_termination = 0, output_format = 0, pickaxe_opts = 0, rename_score = 0, rename_limit = 0, 
    needed_rename_limit = 0, degraded_cc_to_c = 0, show_rename_progress = 0, dirstat_permille = 0, setup = 0, abbrev = 0, ws_error_highlight = 0, 
    prefix = 0x0, prefix_length = 0, stat_sep = 0x0, xdl_opts = 0, stat_width = 0, stat_name_width = 0, stat_graph_width = 0, stat_count = 0, 
    word_regex = 0x0, word_diff = DIFF_WORDS_NONE, found_changes = 0, found_follow = 0, set_default = 0x0, file = 0x0, close_file = 0, pathspec = {
      _raw = 0x0, nr = 0, has_wildcard = 0, recursive = 0, magic = 0, max_depth = 0, items = 0x0}, pathchange = 0x0, change = 0x50baf0 <file_change>, 
    add_remove = 0x50c5f0 <file_add_remove>, format_callback = 0x0, format_callback_data = 0x0, output_prefix = 0x0, output_prefix_length = 0, 
    output_prefix_data = 0x0, diff_path_counter = 0}, reflog_info = 0x0, children = {name = 0x0, size = 0, nr = 0, hash = 0x0}, merge_simplification = {
    name = 0x0, size = 0, nr = 0, hash = 0x0}, treesame = {name = 0x0, size = 0, nr = 0, hash = 0x0}, notes_opt = {use_default_notes = -1, 
    extra_notes_refs = {items = 0x0, nr = 0, alloc = 0, strdup_strings = 0, cmp = 0x0}}, count_left = 0, count_right = 0, count_same = 0, line_log_data = {
    name = 0x0, size = 0, nr = 0, hash = 0x0}, saved_parents_slab = 0x0, previous_parents = 0x0, break_bar = 0x0}
fp = 0x1092fe0
(gdb) up
#2  am_resolve (state=0x7ffd9bd04b20) at builtin/am.c:1967
1967			write_index_patch(state);
(gdb) info locals
No locals.
Comment 1 Jan Kurik 2016-02-24 08:58:51 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 2 Fedora Admin XMLRPC Client 2016-03-16 14:24:12 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 pstodulk 2016-07-01 05:30:21 EDT
Hi Harald, can You provide reproducer?
Comment 4 Harald Hoyer 2016-07-14 03:41:28 EDT
(In reply to pstodulk from comment #3)
> Hi Harald, can You provide reproducer?

not anymore... report is from 2015-11-16

$ rpm -q git
git-2.9.0-1.fc25.x86_64

Note You need to log in before you can comment on or make changes to this bug.